petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGetLayout

get PetscLayout describing vector layout

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetLayout(Vec x,PetscLayout *map)

Not Collective Many br

### Input Arguments

x -the vector Many br

### Output Arguments

map -the layout Many br

Many br

### See Also

VecGetSizes(), VecGetOwnershipRange(), VecGetOwnershipRanges()

Level:developer
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages